package coap

import "sparrow/pkg/rpcs"

// Provider 处理设备业务逻辑
type Provider interface {
	ValidateDeviceToken(deviceid string, token []byte) error
	OnDeviceOnline(args rpcs.ArgsGetOnline) error
	OnDeviceOffline(deviceid string) error
	OnDeviceHeartBeat(deviceid string) error
	OnDeviceMessage(deviceid string, msgtype string, message []byte)
}
